"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = findMediaContext;
/**
 * Find the @media query in which a rule is nested.
 *
 * Returns `null` if the rule is not nested within a media query.
 *
 * @param {Rule} rule
 * @return {AtRule|null}
 */
function findMediaContext(rule) {
  var parent = rule.parent;

  if (parent.type === "root") {
    return null;
  }
  if (parent.type === "atrule" && parent.name === "media") {
    return parent;
  }
  return findMediaContext(parent);
}