# User guide

## Usage

- [The CLI](/docs/user-guide/cli.md) - options, examples and exit codes for using the CLI.
- [The Node API](/docs/user-guide/node-api.md) - options and examples for using the Node API.
- [The PostCSS Plugin](/docs/user-guide/postcss-plugin.md) - how to use the PostCSS plugin, either via a runner like `gulp-postcss` or via the PostCSS Node API.

## Configuration

- [Configuration](/docs/user-guide/configuration.md) - how to configure stylelint.
- [Rules](/docs/user-guide/rules.md) - a list of all the rules that are available to you, and an explanation of the naming convention.
- [Example config](/docs/user-guide/example-config.md) - an example config that you can use as a foundation for crafting your own config.
- [Plugins](/docs/user-guide/plugins.md) - a brief introduction to plugins, followed by a list of what's available.
- [CSS Processors](/docs/user-guide/css-processors.md) - how to use the linter with CSS processors, like SCSS or PostCSS plugins.
- [Complementary Tools](/docs/user-guide/complementary-tools.md) - editor plugins (e.g. Atom and Sublime) and other linters.
